stack-1.4.0: The Haskell Tool Stack

Safe Haskell | None
Language | Haskell2010

Stack.FileWatch

Synopsis

- fileWatch :: Handle -> ((Set (Path Abs File) -> IO ()) -> IO ()) -> IO ()
- fileWatchPoll :: Handle -> ((Set (Path Abs File) -> IO ()) -> IO ()) -> IO ()
- printExceptionStderr :: Exception e => e -> IO ()

# Documentation

fileWatch :: Handle -> ((Set (Path Abs File) -> IO ()) -> IO ()) -> IO () #

fileWatchPoll :: Handle -> ((Set (Path Abs File) -> IO ()) -> IO ()) -> IO () #

printExceptionStderr :: Exception e => e -> IO () #

Print an exception to stderr